<?xml version="1.0" encoding="UTF-8"?>
<!--
 #=============================================================================#
 # Copyright (c) 2007, 2025 Stephan Wahlbrink and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0, or the Apache License, Version 2.0
 # which is available at https://www.apache.org/licenses/LICENSE-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0 OR Apache-2.0
 # 
 # Contributors:
 #     Stephan Wahlbrink <sw@wahlbrink.eu> - initial API and implementation
 #=============================================================================#
-->

<templates>

<!-- Rweave-Tex -->

<template id="org.eclipse.statet.redocs.templates.LtxRweave_ArticleDoc"
	context="Ltx+Rweave_NewDoc"
	name="LtxRweave.NewDoc:Article"
	description="%Doc_Article_description"
	>%tex_C 
\documentclass[a4paper]{article}
\usepackage{Sweave}

\title{${selection_begin}${file_name}${selection_end}}
\author{${user}}

\begin{document}

\maketitle


\end{document}
</template>

<template id="org.eclipse.statet.redocs.templates.LtxRweave_BeamerDoc"
	context="Ltx+Rweave_NewDoc"
	name="LtxRweave.NewDoc:Beamer"
	description="%Doc_SweaveBeamer_description"
	>%tex_C 
\documentclass{beamer}
\usepackage{Sweave}

\title{${selection_begin}${file_name}${selection_end}}
\author{${user}}
\date{\today}

\begin{document}

\begin{frame}
  \titlepage
\end{frame}

\begin{frame}
  \frametitle{Outline}
  \tableofcontents
\end{frame}


\end{document}
</template>


<template id="org.eclipse.statet.redocs.templates.LtxRweave_NewRChunk"
	context="Ltx+Rweave_Weave:DocDefault"
	name="%Rweave_NewRChunk_name"
	description="%Rweave_NewRChunk_description"
	>&lt;&lt;${}&gt;&gt;=
	${cursor}
@
</template>

<template id="org.eclipse.statet.redocs.templates.LtxRweave_NewRChunkWithFig"
	context="Ltx+Rweave_Weave:DocDefault"
	name="%Rweave_NewRChunkWithFigure_name"
	description="%Rweave_NewRChunkWithFigure_description"
	>&lt;&lt;fig=TRUE${}&gt;&gt;=
	${cursor}
@
</template>

</templates>
